Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Error
Created: 2012-05-25 Assigned To: Karsten Dambekalns
Updated: 2012-11-10 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.0
Subject: FLOW3's var_dump() chokes on Doctrine collections
Description

The humongous amount of data leads to out of memory errors and hogged down browsers…

Related issues:
related to TYPO3.Flow - Bug # 39286: FLOW3's var_dump() still chokes on Doctr... Resolved 2012-07-26

Associated revisions
Revision 55b5a555 - 2012-05-25 12:43 - Karsten Dambekalns

[BUGFIX] Make our var_dump() usable with Doctrine collections

For Doctrine\Collection instances we use Doctrine's export()
method now to render the dump.

Change-Id: Ic1284273390e7f5c0a11036f903a7c829e2e8cf8
Fixes: #37481
Releases: 1.1, 1.2

Revision c5497de7 - 2012-05-29 11:00 - Karsten Dambekalns

[BUGFIX] Make our var_dump() usable with Doctrine collections

For Doctrine\Collection instances we use Doctrine's export()
method now to render the dump.

Change-Id: Ic1284273390e7f5c0a11036f903a7c829e2e8cf8
Fixes: #37481
Releases: 1.1, 1.2

Revision fd3eaff0 - 2012-07-26 18:12 - Bastian Waidelich

[BUGFIX] FLOW3's var_dump() still chokes on Doctrine collections

Using Doctrine\Common\Util\Debug::export() to render doctrine
collections leads to an exception because our Debugger expects
a string and doctrine's debugger returns an array.
This change fixes this by post processing the result.
Change-Id: I622400ae805193014178c32c786b2eead7292c18
Fixes: #39286
Related: #37481
Releases: 1.1, 1.2

Revision 0aa62e52 - 2012-07-30 08:21 - Bastian Waidelich

[BUGFIX] FLOW3's var_dump() still chokes on Doctrine collections

Using Doctrine\Common\Util\Debug::export() to render doctrine
collections leads to an exception because our Debugger expects
a string and doctrine's debugger returns an array.
This change fixes this by post processing the result.

Change-Id: I622400ae805193014178c32c786b2eead7292c18
Fixes: #39286
Related: #37481
Releases: 1.1, 1.2

History
#1 - 2012-05-25 12:44 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11601

#2 - 2012-05-26 15:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:55b5a555ec747466bbe83b3dfa7eea13f3a5010e.

#3 - 2012-05-29 11:00 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11681

#4 - 2012-05-30 11:39 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:c5497de779450b06de1f1f850b21d683d22b7b40.
#5 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3
